%global srcname pylast


Name:		%{srcname}
Version:	1.7.0
Release:	3%{?dist}
Summary:	A Python interface to Last.fm API compatible social networks
Group:		Development/Languages
License:	ASL 2.0
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:	https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch


%description
A Python interface to Last.fm (and other API compatible social networks)


%package -n python2-%{srcname}
Summary:	A Python interface to Last.fm API compatible social networks
BuildRequires:	PyYAML
BuildRequires:	pyflakes
BuildRequires:	python-pep8
BuildRequires:	python2-coverage
BuildRequires:	python2-devel
BuildRequires:	python2-mock
BuildRequires:	python2-pbr
BuildRequires:	python2-py
BuildRequires:	python2-pytest
BuildRequires:	python2-setuptools
BuildRequires:	python2-six
Requires:	python2-six
Obsoletes:	%{srcname} < 1.7.0-1
Provides:	%{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
A Python interface to Last.fm (and other API compatible social networks)


%package -n python3-%{srcname}
Summary:	A Python interface to Last.fm API compatible social networks
BuildRequires:	python3-PyYAML
BuildRequires:	python3-coverage
BuildRequires:	python3-devel
BuildRequires:	python3-mock
BuildRequires:	python3-pbr
BuildRequires:	python3-pep8
BuildRequires:	python3-py
BuildRequires:	python3-pyflakes
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
Requires:	python3-six
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
A Python interface to Last.fm (and other API compatible social networks)


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%py3_install


%check
# Tests require https://pypi.python.org/pypi/flaky which isn't packaged yet
#%%{__python2} setup.py test
#%%{__python3} setup.py test


%files -n python2-%{srcname}
%license COPYING
%doc README.md
%{python2_sitelib}/


%files -n python3-%{srcname}
%license COPYING
%doc README.md
%{python3_sitelib}/*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.7.0-2
- Added necessary Obsoletes

* Tue Jan 10 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.7.0-1
- Ver. 1.7.0

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb  8 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.5.1-1
- Ver. 1.5.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Peter Lemenkov <lemenkov@gmail.com> - 1.4.2-1
- Ver. 1.4.2
- Remove outdated RPM-related stuff and eventually drop compatibility with EPEL < 7
- Python3 sub-package

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.11-1
- Initial package

